ref class MyTextBox: public System::Windows::Forms::TextBox
	{

		public: System::Void dopisz(System::Int16 nr_linii,System::String^ tekst) {


             if (this->Lines->Length==0)
                return;
             if (this->Lines->Length<nr_linii)
                return;
             array<System::String^>^ linie = 
               gcnew array<System::String^>(this->Lines->Length);
             linie=this->Lines;
             this->Clear();
             for (System::Int32 i=0;i<nr_linii;i++)
                this->AppendText(linie[i]+System::Environment::NewLine);
             this->AppendText(tekst+System::Environment::NewLine);
             for (System::Int32 i=nr_linii;i<linie->Length;i++)
               this->AppendText(linie[i]+System::Environment::NewLine);
				 }

	
	};